#!/bin/bash

echo -e "\033[31m开始部署 Oracle  jdk1.8.0_311   \033[0m"
###下载 JDK到opt目录
cd /opt
wget http://8.210.81.239/linux/java/jdk-8u311-linux-x64.tar.gz

###解压jdk
tar zxf jdk-8u311-linux-x64.tar.gz
#mv  jdk1.8.0_221_221   jdk1.8.0_221
###设置环境变量

java=`cat /etc/profile |grep JAVA_HOME |grep -v grep |wc -l `

if [ $java = 0 ];then

cat >>/etc/profile <<EOF
export JAVA_HOME=/opt/jdk1.8.0_311
export JRE_HOME=/opt/jdk1.8.0_311/jre
export PATH=\$PATH:/opt/jdk1.8.0_311/bin
export CLASSPATH=./:/opt/jdk1.8.0_311/lib:/opt/jdk1.8.0_311/jre/lib
EOF
cat >>/etc/security/limits.conf <<EOF
* soft nofile 65535
* hard nofile 65535
EOF
ulimit -SHn 51200


source  /etc/profile
else
echo "Already have the jave environment"
fi 

rm -f  /opt/jdk-8u311-linux-x64.tar.gz

echo "install success"
echo -e "\033[31m部署 Oracle jdk1.8.0_311  完成\033[0m"

